Method: projects.locations.appliedAutoProtectionPolicies.list

Lists AppliedAutoProtectionPolicies in a given project and location.

HTTP request


GET https://backupdr.googleapis.com/v1beta/{parent=projects/*/locations/*}/appliedAutoProtectionPolicies

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location for which to retrieve the list of applied policies. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of applied policies to return in a single page.

pageToken

string

Optional. A page token, received from a previous appliedAutoProtectionPolicies.list call.

filter

string

Optional. A filter expression that filters resources listed in the response.

orderBy

string

Optional. An expression that sorts the results in the response.

Request body

The request body must be empty.

Response body

Response message for appliedAutoProtectionPolicies.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "appliedAutoProtectionPolicies": [
    {
      object (AppliedAutoProtectionPolicy)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
appliedAutoProtectionPolicies[]

object (AppliedAutoProtectionPolicy)

A list of the AppliedAutoProtectionPolicy resources found.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-backupdr

For more information, see the Authentication Overview.

AppliedAutoProtectionPolicy

AppliedAutoProtectionPolicy is a read-only view of AutoProtectionPolicy and AutoProtectionPolicyBinding resources that apply to a given workload project.

JSON representation
{
  "name": string,
  "sourceBinding": string,
  "criteria": {
    object (Criteria)
  },
  "backupPlanDetails": [
    {
      object (BackupPlanDetail)
    }
  ],
  "updateTime": string,
  "createTime": string,
  "bindingEvaluationSummary": {
    object (BindingEvaluationSummary)
  },
  "status": enum (State)
}
Fields
name

string

Identifier. Canonical resource name. Format: projects/{workload-project-number}/locations/{location}/appliedAutoProtectionPolicies/{id}.

sourceBinding

string

Output only. The full resource name of the AutoProtectionPolicyBinding that applies the source policy to a scope including this workload project. e.g., projects/{admin-project}/locations/{location}/autoProtectionPolicies/{policyId}/autoProtectionPolicyBindings/{bindingId}.

criteria

object (Criteria)

Output only. The criteria resources must meet for this rule to apply. From AutoProtectionPolicy.criteria.

backupPlanDetails[]

object (BackupPlanDetail)

Output only. The set of backup plan configurations, mirroring the backupPlanDetails from the source AutoProtectionPolicy. Each element specifies a backup plan for a given resource type.

updateTime

string (Timestamp format)

Output only. Timestamp indicating when the binding was last modified.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

createTime

string (Timestamp format)

Output only. Timestamp indicating when the binding was last created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

bindingEvaluationSummary

object (BindingEvaluationSummary)

Output only. The summary of the last policy application when the job has run.

status

enum (State)

Output only. The status of the applied auto protection policy.

State

Represents the various states an applied auto protection policy can be in.

Enums
STATE_UNSPECIFIED State is not specified.
CREATING The policy is in the process of being applied.
ACTIVE The policy has been applied and is active.
DELETION_INITIATED The policy is in the process of being removed.